wreport::tests::TestMethodResult Struct Reference

Result of running a test method. More...

`#include <testrunner.h>`

## Public Member Functions

| TestMethodResult (const std::string &test_case, const std::string &test_method)
void | set_failed (TestFailed &e)
void | set_exception (std::exception &e)
void | set_unknown_exception ()
void | set_setup_exception (std::exception &e)
void | set_teardown_exception (std::exception &e)
bool | is_success () const
void | print_failure_details (FILE *out) const

## Data Fields

std::string | test_case
| Name of the test case.
std::string | test_method
| Name of the test method.
std::string | error_message
| If non-empty, the test failed with this error.
std::shared_ptr< TestStack > | error_stack
| Stack frame of where the error happened.
std::string | exception_typeid
| If non-empty, the test threw an exception and this is its type ID.
bool | skipped = false
| True if the test has been skipped.
std::string | skipped_reason
| If the test has been skipped, this is an optional reason.
unsigned long long | elapsed_ns = 0
| Time in nanoseconds it took the test to run.

## Detailed Description

Result of running a test method.

The documentation for this struct was generated from the following file:

- testrunner.h